> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/analytics/analytics.screen.md).

# Analytics.screen

### Feature description

Logs analytics when a screen is entered. Call it when entering a page `screen` Logs of this type are sent.

`log_name`If it isn't specified, based on the current path `<pathname>::screen` a name in this format is automatically used. In the log parameters, in addition to the values you passed, the current page's query string (`search`), entry path (`referrer`), document title(`document_title`), deployment information (`deployment_id`, `deployment_timestamp`) are automatically included.

If the current page URL is `https`not, no log is sent.

### Type

```ts
Analytics.screen(params?: { log_name?: string } & { [key: string]: LogParam }): Promise<void> | undefined;
```

**Params**

```ts
// Keys other than log_name are also recorded as log parameters.
type LogParam = string | number | boolean | null | undefined;
```

**Response**

If the current page URL is `https`not, no log is sent and `undefined`is returned.

### Example code

#### JavaScript

```js
import { Analytics } from "@apps-in-toss/web-framework";

// Call once when entering the page.
Analytics.screen({ entry_point: "home" });
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/analytics/analytics.screen.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
